import os, glob, random, time, sys
from irmacl.helpers import *


if len(sys.argv) > 1 and sys.argv[1].isdigit:
    num_files=int(sys.argv[1])
else:
    num_files=10

# Counting later results: 
count_benign=0
count_malware=0

#wait_sleep=10

path_benign="/home/bach/malware/dataset/exe/Win*/*"
path_malware="/home/bach/malware/dataset/IJCNN_*/*/*"

benign = []
malware = []

# Assign dataset abs paths
benign=glob.glob(path_benign)
malware=glob.glob(path_malware)

# Pick random n benign + n malware files from dataset
benign=random.sample(benign, num_files)
malware=random.sample(malware, num_files)

print """
__________________________
Expected:

    Benign res:     {}
    Malware res:    {}
__________________________

""".format(num_files, num_files)

print """
    Benign: \t{}
    Malware:\t{}
""".format(len(benign), len(malware))

res_benign = scan_files(benign, force=False, blocking=True)
res_malware = scan_files(malware, force=False, blocking=True)

# If blocking=False
'''
res_benign = scan_get(res_benign.id, verbose=True)
print res_benign

print "Waiting {} seconds for IRMA to scan".format(wait_sleep)
time.sleep(wait_sleep)

res_benign = scan_get(res_benign.id, verbose=True)
print res_benign
'''


print """
_________________________
Expected benign scan:

    ID:     {}
    Status: {}
    Date:   {}

Scan-files:
Date:   Name:   Probes_fin:     Probes_total:   Status:
""".format(res_benign.id, res_benign.pstatus, res_benign.pdate)

for res in res_benign.results:
    print "{}\t{}\t{}\t{}\t{}".format(
            res.pscan_date, 
            res.name,
            res.probes_finished,
            res.probes_total,
            res.status
        ) 
    if res.status:
        count_benign+=1


print """
_________________________
Expected malware scan:

    ID:     {}
    Status: {}
    Date:   {}

Scan-files:
Date:   Name:   Probes_fin:     Probes_total:   Status:
""".format(res_malware.id, res_malware.pstatus, res_malware.pdate)

for res in res_malware.results:
    print "{}\t{}\t{}\t{}\t{}".format(
            res.pscan_date, 
            res.name,
            res.probes_finished,
            res.probes_total,
            res.status
        )
    if res.status==1:
        count_malware+=1

if count_benign:
    print "False positives: {} of {}".format(count_benign, num_files)

if count_malware != num_files:
    print "False negatives: {} of {}".format((num_files-count_malware), num_files)
