"""version 2.0.5

Revision ID: 1ea7100d95d0
Revises: 17cafa6e8016
Create Date: 2018-01-17 16:07:54.181133

"""

# revision identifiers, used by Alembic.
revision = '1ea7100d95d0'
down_revision = '17cafa6e8016'
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import text

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_irma_fileExt_id_file'),
                    'irma_fileExt',
                    ['id_file'],
                    unique=False)
    op.create_index(op.f('ix_irma_fileExt_id_scan'),
                    'irma_fileExt',
                    ['id_scan'],
                    unique=False)
    op.create_index(op.f('ix_irma_probeResult_id_file'),
                    'irma_probeResult',
                    ['id_file'],
                    unique=False)
    op.create_index(op.f('ix_irma_probeResult_fileExt_id_fe'),
                    'irma_probeResult_fileExt',
                    ['id_fe'],
                    unique=False)
    op.create_index(op.f('ix_irma_file_ts_pathnotnull'),
                    'irma_file',
                    ['timestamp_last_scan'],
                    postgresql_where=text("path is not Null"),
                    unique=False)
    op.create_unique_constraint('u_file_sha256',
                                'irma_file',
                                ['sha256'])

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_irma_probeResult_fileExt_id_fe'),
                  table_name='irma_probeResult_fileExt')
    op.drop_index(op.f('ix_irma_probeResult_id_file'),
                  table_name='irma_probeResult')
    op.drop_index(op.f('ix_irma_fileExt_id_scan'),
                  table_name='irma_fileExt')
    op.drop_index(op.f('ix_irma_fileExt_id_file'),
                  table_name='irma_fileExt')
    op.drop_index(op.f('ix_irma_file_ts_pathnotnull'),
                  table_name='irma_file')
    op.drop_constraint('u_file_sha256', 'irma_file')
    # ### end Alembic commands ###
