"""version 1.5.0

Revision ID: f75b4068af0a
Revises: 430a70c8aa21
Create Date: 2017-07-05 14:34:45.988817

"""

# revision identifiers, used by Alembic.
revision = 'f75b4068af0a'
down_revision = 'eb7141efd75a'
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('irma_fileAgent')
    op.drop_table('irma_submission')

    op.add_column('irma_probeResult',
                  sa.Column('doc',
                            postgresql.JSONB(astext_type=sa.Text()),
                            nullable=True))
    op.drop_column('irma_probeResult', 'nosql_id')
    op.create_unique_constraint('u_tag_file',
                                'irma_tag_file',
                                ['id_tag', 'id_file'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('u_tag_file', 'irma_tag_file', type_='unique')
    op.add_column('irma_probeResult', sa.Column('nosql_id', sa.VARCHAR(),
                                                autoincrement=False,
                                                nullable=True))
    op.drop_column('irma_probeResult', 'doc')

    op.create_table('irma_submission',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('external_id', sa.String(length=36),
                              nullable=False),
                    sa.Column('os_name', sa.String(), nullable=False),
                    sa.Column('username', sa.String(), nullable=False),
                    sa.Column('ip', sa.String(), nullable=False),
                    sa.Column('date', sa.Integer(), nullable=False),
                    sa.PrimaryKeyConstraint('id'),
                    sqlite_autoincrement=True
                    )
    op.create_index(op.f('ix_irma_submission_external_id'),
                    'irma_submission',
                    ['external_id'],
                    unique=False)
    op.create_table('irma_fileAgent',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('submission_path',
                              sa.String(length=255),
                              nullable=False),
                    sa.Column('id_file', sa.Integer(), nullable=False),
                    sa.Column('id_s', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(['id_file'], ['irma_file.id'], ),
                    sa.ForeignKeyConstraint(['id_s'],
                                            ['irma_submission.id'],),
                    sa.PrimaryKeyConstraint('id'),
                    sqlite_autoincrement=True
                    )
    # ### end Alembic commands ###
