# Fetched from:
# https://stackoverflow.com/a/29156997

import ctypes
import ctypes.util
import os

LIBC = ctypes.CDLL(ctypes.util.find_library('c'), use_errno=True)
LIBC.mount.argtypes = (ctypes.c_char_p, ctypes.c_char_p, ctypes.c_char_p, ctypes.c_ulong, ctypes.c_char_p)

def mount(source, target, fs, options=''):
    ret = LIBC.mount(source.encode(encoding='ascii', errors='replace'), target.encode(encoding='ascii', errors='replace'), fs.encode(encoding='ascii', errors='replace'), 0, options.encode(encoding='ascii', errors='replace'))
    if ret < 0:
        errno = ctypes.get_errno()
        raise OSError(errno, "Error mounting {} ({}) on {} with options '{}': {}".
                      format(source, fs, target, options, os.strerror(errno)))

mount('/dev/sdb', '/mnt', 'ext4', 'rw')
