"""Monitor kernel events through pyudev detect added file disks."""

import pyudev

class DiskMonitor:
    """Monitors for storage disk activity."""

    def __init__(self):
        """Listen to uevents for kernelactivity"""
        self.context = pyudev.Context()
        self.monitor = pyudev.Monitor.from_netlink(self.context)


#   def uevent_listener(self):
#       """Loop through storage/block device events for self.monitor."""
#       self.monitor.filter_by(subsystem='block')

#       # Iteration of MONITOR.poll is equivalent to 'while: true'-loop
#       for device in iter(self.monitor.poll, None):
#           if device.action == 'add':
#               # Authorise user-login
#               dev_dict={'DEVNAME': device['DEVNAME'],'ID_FS_TYPE': device['ID_FS_TYPE']}
#               
#               return dev_dict
#               # Mount drives
#               # Rsync
#               # Display scan results


#               """
#               print("\n\n")
#               print("-"*80)
#               print('{} connected'.format(device))
#               for key, val in device.items():
#                   print("{}: {}".format(key, val))

#               Interesting keys:     "description"
#               .ID_FS_TYPE_NEW:    <file system format>
#               ID_FS_TYPE:         <fs format (not always there?)>
#               DEVNAME:            <Name for mounting>
#               DEVTYPE:            <If its a partition (mountable)>
#               """


    def uevent_listener(self):
    """Loop through block device events for self.monitor.
    returns dictionary with block path and file system type.
    (e.g. /dev/sda and ext4)."""
        self.monitor.filter_by(subsystem='block')

        # Iteration of MONITOR.poll = 'while: true'-loop
        for device in iter(self.monitor.poll, None):
            if device.action == 'add':
            """*Authorise user credentials*"""
            # Assign relevant data to dictionary:
            dev_dict = {'DEVNAME': device['DEVNAME'],'ID_FS_TYPE': device['ID_FS_TYPE']}
            return dev_dict
