"""Kiosk detecting storage devices and sending files for scanning."""

import drives.mount_drive, drives.pyudev_drive

# Kiosk running until manually shut off.
devices = drives.pyudev_drive.DiskMonitor()
while devices:
    """Running stuff

    1. authorise
    2. mount
    3. rsync
    4. show result & unmount"""
    device = devices.uevent_listener()  # Will loop until drive add detected
    if device['DEVNAME'] and device['ID_FS_TYPE']:
        try:
            drives.mount_drive.readonly_mount(device['DEVNAME'], '/mnt', device['ID_FS_TYPE'])
            drives.mount_drive.unmount('/mnt')
        except OSError as err:
            print("{0}".format(err))
